/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef INCLUDE_EPSLINE_H_
#define INCLUDE_EPSLINE_H_

#include <ncurses.h>

#include <iostream>
#include <cstdlib>
#define _USE_MATH_DEFINES
#include <cmath>

#include "EpsObject.h"

class EpsLine : public EpsObject {
 public:
  EpsLine();
  EpsLine(double x1, double y1, double x2, double y2, int color);
  virtual ~EpsLine();

  void initialize(double x1, double y1, double x2, double y2, int color);

  void Draw(WINDOW* w, int eps_xres, int eps_yres);

 protected:
  double m_dX1;
  double m_dY1;
  double m_dX2;
  double m_dY2;
  double m_dDX;
  double m_dDY;
  int m_iColor;
  const char* m_cSymbol;
};

#endif  // INCLUDE_EPSLINE_H_
